Name: qd
Version: 2.3.7
Release: alt0.M50.1
Summary: C++/Fortran-90 double-double and quad-double package
License: BSD
Group: Sciences/Mathematics
Url: http://crd.lbl.gov/~dhbailey/mpdist/
Packager: Eugeny A. Rostovtsev (REAL) <real at altlinux.org>

Source: %name-%version.tar.gz

BuildRequires(pre): rpm-build-compat
BuildPreReq: gcc-fortran libgfortran-devel-static gcc-c++

%description
This package provides numeric types of twice the precision of IEEE
double (106 mantissa bits, or approximately 32 decimal digits) and
four times the precision of IEEE double (212 mantissa bits, or
approximately 64 decimal digits).  Due to features such as operator
and function overloading, these facilities can be utilized
with only minor modifications to conventional C++ and Fortran-90
programs.

In addition to the basic arithmetic operations (add, subtract,
multiply, divide, square root), common transcendental functions such
as the exponential, logarithm, trigonometric and hyperbolic functions
are also included.

%package -n lib%name-devel
Summary: Static libraries and headers of QD
Group: Development/Other

%description -n lib%name-devel
This package provides numeric types of twice the precision of IEEE
double (106 mantissa bits, or approximately 32 decimal digits) and
four times the precision of IEEE double (212 mantissa bits, or
approximately 64 decimal digits).  Due to features such as operator
and function overloading, these facilities can be utilized
with only minor modifications to conventional C++ and Fortran-90
programs.

This package contains static libraries and headers of QD.

%package -n lib%name-devel-doc
Summary: Documentation for QD
Group: Development/Documentation
BuildArch: noarch

%description -n lib%name-devel-doc
This package provides numeric types of twice the precision of IEEE
double (106 mantissa bits, or approximately 32 decimal digits) and
four times the precision of IEEE double (212 mantissa bits, or
approximately 64 decimal digits).  Due to features such as operator
and function overloading, these facilities can be utilized
with only minor modifications to conventional C++ and Fortran-90
programs.

This package contains documentation for QD.

%prep
%setup

%build
%autoreconf
%configure --enable-fortran --enable-ieee-add
%make_build
%make check time
%make cpp-demo fortran-demo

%install
%make_install_std

install -d %buildroot%_datadir/%name

install -m755 \
	fortran/quad??q fortran/quad??q2d \
	tests/*_test tests/huge tests/qd_timer \
	%buildroot%_bindir
install -p -m644 tests/coeff.dat %buildroot%_datadir/%name

%files
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%_bindir/*
%exclude %_bindir/qd-config
%_datadir/%name

%files -n lib%name-devel
%_bindir/qd-config
%_libdir/*
%_includedir/*

%files -n lib%name-devel-doc
%_docdir/%name

%changelog
* Fri May 08 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 2.3.7-alt0.M50.1
- Port for Branch 5.0

* Thu May 07 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 2.3.7-alt1
- Initial build for Sisyphus

